#!/usr/bin/env bash
#
# Current version of the wrapper. Do not change
# Version 1
#
# Wrapper function for ldconfig, running all the AT ldconfigs
# in the process.

# We only want to update AT's ld.so.cache on default calls
if [[ ${#} -eq 0 ]]; then
	for AT in $(ls -d /opt/at[0-9].[0-9]* 2>/dev/null); do
		echo "Updating ${AT} ldconfig"
		${AT}/sbin/ldconfig &> ${AT}/etc/ldconfig.log 2>&1
	done
fi
set -e
echo "Calling system ldconfig"
/sbin/ldconfig ${@}
set +e
